## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToRstBlockquoteHandler

### Document::ezcDocumentDocbookToRstBlockquoteHandler

### Class ezcDocumentDocbookToRstBlockquoteHandler

Visit blockquotes

Visit blockquotes and transform them their respective HTML elements, including custom markup for attributions, as there is no defined element in HTML for them.

Source for this file: /Document/src/converters/element_visitor/docbook/rst/blockquote.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToRstBaseHandler
          |
          --ezcDocumentDocbookToRstBlockquoteHandler

Version: | //autogen//

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToRstBaseHandler
protected string | `ezcDocumentDocbookToRstBaseHandler::renderDirective()` Render a directive
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3